Bug 1046726 - Rename Request: pluma - Text editor for the MATE desktop
Summary: Rename Request: pluma - Text editor for the MATE desktop
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1086149
TreeView+ depends on / blocked
 
Reported: 2013-12-26 19:15 UTC by Wolfgang Ulbrich
Modified: 2014-09-28 20:00 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-28 20:00:04 UTC
dan.mashal: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Wolfgang Ulbrich 2013-12-26 19:15:48 UTC
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/pluma.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/pluma-1.7.1-0.1.git20131511.7ceb8fe.fc21.src.rpm
Description: pluma is a small, but powerful text editor designed specifically for
the MATE desktop. It has most standard text editor functions and fully
supports international text in Unicode. Advanced features include syntax
highlighting and automatic indentation of source code, printing and editing
of multiple documents in one window.

pluma is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels.
Fedora Account System Username: raveit65

Comment 1 Wolfgang Ulbrich 2013-12-27 15:56:51 UTC
This is a re-review request for a package rename.
Old packackage name is mate-image-viewer.
Note, this affect only rawhide, f18/19/20 will use mate-image-viewer-1.6.x until there EOL.

Comment 2 Wolfgang Ulbrich 2013-12-28 10:37:00 UTC
(In reply to Wolfgang Ulbrich from comment #1)
> This is a re-review request for a package rename.
> Old packackage name is mate-image-viewer.
> Note, this affect only rawhide, f18/19/20 will use mate-image-viewer-1.6.x
> until there EOL.
Sorry wrong,

This is a re-review request for a package rename.
Old packackage name is mate-text-editor.
Note, this affect only rawhide, f18/19/20 will use mate-text-editor-1.6.x until there EOL.

Comment 3 Wolfgang Ulbrich 2014-01-16 16:59:13 UTC
Hi Christopher,
Why did you change the topic?
http://fedoraproject.org/wiki/Package_Renaming_Process
says "normal review process"

Comment 4 Christopher Meng 2014-01-17 03:23:24 UTC
Is it a fatal error?

Of course not. In fact changing that topic can indicates pretty clear: "This is just a package rename, be sure to check obsoletes/provides then give + is enough".

Comment 5 Wolfgang Ulbrich 2014-01-17 15:29:02 UTC
I'm not familar with inside bugzilla processes, so i can't answer you question.
But i prefer to follow guide lines to avoid stupid issues.
I don't like unnecessary surprises if i do the scm request.

Comment 6 Michael Schwendt 2014-01-17 17:04:47 UTC
For some clarification, the "Rename Request" prefix is not mandatory. It has been in use for several years by some packagers to be more explicit about the request being for a package rename. I'm not aware of a Wiki page that mentions the prefix.

However, the fedora-create-review tool also uses the prefix when using option --rename-request.

Comment 7 Wolfgang Ulbrich 2014-01-17 17:13:01 UTC
Thanks Michael,
for clarification.
I'm happy to learn new things.

Comment 8 Wolfgang Ulbrich 2014-01-18 17:46:10 UTC
Pluma is updated to 1.7.1 release
Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/pluma.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/pluma-1.7.1-1.fc21.src.rpm

Comment 9 Dan Mashal 2014-02-10 21:21:46 UTC
Taking per Wolfgang's request.

Comment 10 Dan Mashal 2014-02-13 06:13:21 UTC

NOTES:
1) Please create noarch data subpackage.
2) Please update license to GPLv2+ and LGPLv2+


Successful Koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6524447

RPM installs and package runs as expected:
http://i.imgur.com/PCEmeti.png


====================================================================

This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later)", "GPL (v2 or later)", "LGPL (v2 or
     later)", "Unknown or generated". 23 files have unknown license. Detailed
     output of licensecheck in /home/dan/fedora-
     review/1046726-pluma/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/cmn, /usr/share/help/ar,
     /usr/share/help/da, /usr/share/locale/cmn/LC_MESSAGES, /usr/share/help/th
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/fi,
     /usr/share/help/uk, /usr/share/help/de, /usr/share/help/da,
     /usr/share/help/sv, /usr/share/help/hu, /usr/share/help/fr,
     /usr/share/help/C, /usr/share/help/zh_HK, /usr/share/help/ja,
     /usr/share/help/es, /usr/share/help/cs, /usr/share/help,
     /usr/share/help/ar, /usr/share/help/ca,
     /usr/share/locale/cmn/LC_MESSAGES, /usr/share/help/el,
     /usr/share/help/zh_CN, /usr/share/help/pt_BR, /usr/share/help/oc,
     /usr/share/help/it, /usr/share/help/th, /usr/share/help/zh_TW,
     /usr/share/locale/cmn, /usr/share/gtk-doc/html, /usr/share/gtk-doc,
     /usr/share/help/ko, /usr/share/help/bg, /usr/share/help/ru
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/help/hu/pluma(mate-
     text-editor), /usr/share/help/es/pluma/figures(mate-text-editor),
     /usr/share/pluma/icons(mate-text-editor),
     /usr/share/help/zh_TW/pluma/figures(mate-text-editor),
     /usr/share/help/sv/pluma/figures(mate-text-editor),
     /usr/share/help/el/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/sort(mate-text-editor),
     /usr/share/pluma/plugins/filebrowser(mate-text-editor),
     /usr/share/pluma/plugins/time(mate-text-editor),
     /usr/share/pluma/plugins/pythonconsole(mate-text-editor),
     /usr/share/help/C/pluma/figures(mate-text-editor),
     /usr/share/help/zh_HK/pluma/figures(mate-text-editor),
     /usr/share/help/C/pluma(mate-text-editor), /usr/share/pluma/ui(mate-text-
     editor), /usr/share/pluma/plugins/externaltools(mate-text-editor),
     /usr/share/help/ja/pluma(mate-text-editor),
     /usr/lib64/pluma/plugins/quickopen(mate-text-editor),
     /usr/share/help/zh_TW/pluma(mate-text-editor),
     /usr/share/pluma/plugins/spell(mate-text-editor),
     /usr/share/pluma/plugins/modelines(mate-text-editor),
     /usr/share/help/oc/pluma/figures(mate-text-editor),
     /usr/share/help/ja/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/taglist(mate-text-editor),
     /usr/lib64/pluma/plugins/externaltools(mate-text-editor),
     /usr/share/help/fr/pluma(mate-text-editor), /usr/share/gtk-doc/html/pluma
     (mate-text-editor), /usr/lib64/pluma(mate-text-editor),
     /usr/share/help/es/pluma(mate-text-editor),
     /usr/share/help/fi/pluma/figures(mate-text-editor),
     /usr/share/help/ko/pluma(mate-text-editor), /usr/share/help/el/pluma
     (mate-text-editor), /usr/share/help/ca/pluma(mate-text-editor),
     /usr/share/help/bg/pluma(mate-text-editor),
     /usr/share/help/hu/pluma/figures(mate-text-editor),
     /usr/share/help/sv/pluma(mate-text-editor), /usr/lib64/pluma/plugins
     (mate-text-editor), /usr/share/help/cs/pluma/figures(mate-text-editor),
     /usr/include/pluma(mate-text-editor-devel),
     /usr/share/help/ar/pluma/figures(mate-text-editor),
     /usr/share/help/it/pluma/figures(mate-text-editor),
     /usr/share/help/fr/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/pythonconsole/ui(mate-text-editor),
     /usr/share/pluma/plugins/externaltools/tools(mate-text-editor),
     /usr/share/help/cs/pluma(mate-text-editor),
     /usr/share/help/ru/pluma/figures(mate-text-editor),
     /usr/share/help/pt_BR/pluma(mate-text-editor),
     /usr/share/help/ko/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/snippets/lang(mate-text-editor),
     /usr/share/help/bg/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/snippets/ui(mate-text-editor),
     /usr/share/help/ru/pluma(mate-text-editor), /usr/share/pluma/plugins
     (mate-text-editor), /usr/share/help/da/pluma(mate-text-editor),
     /usr/share/help/th/pluma(mate-text-editor), /usr/share/help/oc/pluma
     (mate-text-editor), /usr/share/help/th/pluma/figures(mate-text-editor),
     /usr/share/pluma/plugins/docinfo(mate-text-editor),
     /usr/share/help/uk/pluma(mate-text-editor), /usr/share/help/zh_HK/pluma
     (mate-text-editor), /usr/lib64/pluma/plugin-loaders(mate-text-editor),
     /usr/share/pluma/plugins/externaltools/ui(mate-text-editor),
     /usr/share/pluma(mate-text-editor), /usr/share/help/da/pluma/figures
     (mate-text-editor), /usr/lib64/pluma/plugins/pythonconsole(mate-text-
     editor), /usr/share/help/zh_CN/pluma(mate-text-editor),
     /usr/share/help/zh_CN/pluma/figures(mate-text-editor),
     /usr/share/help/uk/pluma/figures(mate-text-editor),
     /usr/share/help/fi/pluma(mate-text-editor),
     /usr/share/pluma/plugins/snippets(mate-text-editor),
     /usr/share/help/de/pluma(mate-text-editor),
     /usr/share/help/pt_BR/pluma/figures(mate-text-editor), /usr/libexec/pluma
     (mate-text-editor), /usr/share/help/ar/pluma(mate-text-editor),
     /usr/lib64/pluma/plugins/snippets(mate-text-editor),
     /usr/share/help/de/pluma/figures(mate-text-editor),
     /usr/share/help/ca/pluma/figures(mate-text-editor),
     /usr/share/help/it/pluma(mate-text-editor)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in pluma
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in pluma
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 13731840 bytes in /usr/share
     pluma-1.7.1-1.fc21.x86_64.rpm:12861440
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pluma-1.7.1-1.fc21.x86_64.rpm
          pluma-devel-1.7.1-1.fc21.x86_64.rpm
          pluma-1.7.1-1.fc21.src.rpm
pluma.x86_64: E: explicit-lib-dependency mate-desktop-libs
pluma.x86_64: W: no-manual-page-for-binary mate-text-editor
pluma.src: W: strange-permission pluma-1.7.1.tar.xz 0600L
pluma.src: W: invalid-url Source0: http://pub.mate-desktop.org/releases/1.7/%{name}-%{version}.tar.xz HTTP Error 400: Bad Request
3 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint pluma-devel pluma
pluma.x86_64: E: explicit-lib-dependency mate-desktop-libs
pluma.x86_64: W: no-manual-page-for-binary mate-text-editor
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
pluma-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    gtksourceview3-devel
    pkgconfig(gtksourceview-2.0)
    pluma(x86-64)
    pygtk2-devel

pluma (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/python
    caja-schemas
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdl.so.2()(64bit)
    libenchant.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtksourceview-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libutil.so.1()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxml2.so.2(LIBXML2_2.5.0)(64bit)
    libxml2.so.2(LIBXML2_2.6.0)(64bit)
    mate-desktop-libs
    mate-dialogs
    pygobject2
    pygtk2
    pygtksourceview
    rtld(GNU_HASH)



Provides
--------
pluma-devel:
    mate-text-editor-devel
    mate-text-editor-devel(x86-64)
    pkgconfig(pluma)
    pluma-devel
    pluma-devel(x86-64)

pluma:
    application()
    application(pluma.desktop)
    libchangecase.so()(64bit)
    libcloader.so()(64bit)
    libdocinfo.so()(64bit)
    libfilebrowser.so()(64bit)
    libmodelines.so()(64bit)
    libpythonloader.so()(64bit)
    libsort.so()(64bit)
    libspell.so()(64bit)
    libtaglist.so()(64bit)
    libtime.so()(64bit)
    mate-text-editor
    mate-text-editor(x86-64)
    mimehandler(text/plain)
    pluma
    pluma(x86-64)



Unversioned so-files
--------------------
pluma: /usr/lib64/pluma/plugin-loaders/libcloader.so
pluma: /usr/lib64/pluma/plugin-loaders/libpythonloader.so
pluma: /usr/lib64/pluma/plugins/libchangecase.so
pluma: /usr/lib64/pluma/plugins/libdocinfo.so
pluma: /usr/lib64/pluma/plugins/libfilebrowser.so
pluma: /usr/lib64/pluma/plugins/libmodelines.so
pluma: /usr/lib64/pluma/plugins/libsort.so
pluma: /usr/lib64/pluma/plugins/libspell.so
pluma: /usr/lib64/pluma/plugins/libtaglist.so
pluma: /usr/lib64/pluma/plugins/libtime.so

Source checksums
----------------
http://pub.mate-desktop.org/releases/1.7/pluma-1.7.1.tar.xz :
  CHECKSUM(SHA256) this package     : 6f164ba7ad0e0660cc5a0c62688ddc899b76b462088ad22cae78e8da2f45aa70
  CHECKSUM(SHA256) upstream package : 6f164ba7ad0e0660cc5a0c62688ddc899b76b462088ad22cae78e8da2f45aa70


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1046726
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 Wolfgang Ulbrich 2014-02-14 15:46:56 UTC
All done!

* Thu Feb 13 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-1
- update to 1.7.2 release
- fix rpmlint warning 'can't find source0'
- fix license information
- use a joker for the man file attribute
- move data in a noarch subpackage
- improve obsoletes
- update rpm scriplets

Spec URL: http://raveit65.fedorapeople.org/Mate/SPECS/pluma.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate/SRPM/pluma-1.7.2-1.fc21.src.rpm

Comment 12 Dan Mashal 2014-02-14 21:12:11 UTC
Approved.

Comment 13 Wolfgang Ulbrich 2014-02-14 21:17:47 UTC
New Package SCM Request
=======================
Package Name: pluma
Short Description: Text editor for the MATE desktop
Owners: raveit65 vicodan
Branches: 
InitialCC:

Note: branch is empty because other branches than rawhide will use old package name until releases are EOL.

Comment 14 Gwyn Ciesla 2014-02-17 13:08:06 UTC
Git done (by process-git-requests).

Comment 15 Wolfgang Ulbrich 2014-07-26 14:28:42 UTC
Package Change Request
======================
Package Name: pluma
New Branches: f20
Owners: raveit65 vicodan
InitialCC:

Comment 16 Kevin Fenzi 2014-07-26 21:35:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.